Subject: FVWM: problems using tkgoodstuff (longish)

From: [email-masked] (Bryan Bartone)
Date: Fri, 15 Dec 1995 13:39:27 -0500 (EST)

Hi All-

I've been fooling around with tkgoodstuff.  I've been having some
problems. I wonder if anyone has suggestions about how to get it to
work. Unfortunately I am not familiar with tcl/Tk.  I am sure that
would help.

Thanks 

oo Bryan S. Bartone | Logicon-Syscon Corp
oo [email-masked], [email-masked]    
oo voice: (401)849-6270x389 | fax: (401)849-5631     				  

################### The Gory details for those interested ##############

I am able to run it with minimal as the config file via FvwmTalk
as Module tkgoodstuff -f /usr/local/lib/tkgooodstuff/sample-rc/minimal

It returns the following log :

This interpreter can parse xpm's
Loaded Biff.tcl
Loaded Clock.tcl
Loaded Jots.tcl
creating .biff
creating .clock
creating popup: .tkglog

A process list returns the following:

xpmwish4.1 /usr/local/lib/tkgoodstuff/tkgoodstuff 12 4 .fvwm2rc 0 8 -f
/usr/local/lib/tkgoodstuff/sample-rc/minimal
# wierd since it invokes xpmwish
#also xpmwish was linked against tcl7.5( a2 if I remember correctly )

Here is the set-up:

added to my .fvwm2rc

AddToMenu "Applications" "Applications" Title
(some unimportant stuff)
+		"tkgoodstuff"	Module tkgoodstuff 

here is my .tkgoodstuffrc 
( borrowed from Eric Kahler modified enough to not return
errors. Thanks Eric!! )

# REQUIRES TKFVWM EXTENSION TO TK!!!!

set TKG_pixmapshilbpath /usr/local/lib
set TKG_shlibpath tkxpm4.1.so
set TKG_border 6
set TKGbackground grey65
set TKGbuttonbackground grey65
set TKG_fullscreen top
set TKG_imageside left 
set TKG_icons /usr/include/X11/pixmaps

Client Menu
Menu 1
    Exec Mars {color_xterm -sb -sl 500 -j -ls -fn 10x20 \
                -geometry +88+95 -T Mars -e telnet mars}
    Exec Remus {color_xterm -sb -sl 500 -j -ls -fn 10x20 \
                -geometry +88+95 -T Remus -e telnet remus}
    Separator
#   Tcl "Files/FTP" "Fvwm_WarpOrExec xdir"
#   Tcl Knews "Fvwm_WarpOrExec knews"
    Exec XV xv
    Exec Lyx lyx 
    Exec Xfig xfig 
    Exec Xpaint xpaint 
    Exec Gohstview ghostview 
    Exec GNUPlot {color_xterm -sb -sl 500 -j -ls -fn 10x20 \
                   -geometry +88+95 -T "GNU Plot" -e gnuplot}
  Separator
  Menu "Applications"
    Exec Seyon {seyon -modem /dev/ttyS1}
    Exec Xmag xmag
    Exec Xmix xamixer
    Exec "TkWidget" /usr/lib/tk4.1/demos/widget
    Exec XXgdb xxgdb
    Exec Calculator xcalc
    Exec Clipboard xclipboard
  EndMenu    
  Separator
  Menu "System"
    Exec Top {color_xterm -sb -sl 500 -j -ls -fn 10x20 \
               -geometry 81x31+1+70 -T Top -n Top -e top}
    Exec .fvwmrc {emacs ~/.fvwmrc}
    Exec .tkgoodstuffrc {emacs ~/.tkgoodstuffrc}
    Exec .Xdefaults {emacs ~/.Xdefaults}        
    Exec .bashrc {emacs ~/.bashrc}
    Separator
    Exec iXset ixset
    Exec "Color Editor" tcolor
    Exec "Xfont select" xfontsel
    Exec Editres editres
    Exec "Xrdb .Xdefaults"  {xrdb .Xdefaults}
    Separator
    Tcl  FvwmTalk   {fvwm send 0 {Module FvwmTalk}}
    Tcl  FvwmIdent  {fvwm send 0 {Module FvwmIdent}}
    Tcl  FvwmConfig {fvwm send 0 {Module FvwmConfig}}
  EndMenu
  Separator
  TKGMenu
EndMenu

Menu 3
    Tcl "Restart fvwm" {fvwm send 0 {Restart ""}}
    Tcl "Exit fvwm" {fvwm send 0 {Quit ""}}
EndMenu

AddButton xfm -imagefile $TKG_icons/xfm_appmgr.xpm \
        -unixcmd {xfm}

AddButton xcd -imagefile $TKG_icons/music.xpm \
        -unixcmd {xcd}

AddButton emacs -imagefile $TKG_icons/emacs.xpm \
        -unixcmd {emacs}

AddButton shell -imagefile $TKG_icons/xterm.xpm \
        -unixcmd {color_xterm -sb -sl 500 -j -ls \
        -fn 10x20 -geometry +130+95 -T XTerminal} \
        -windowname XTerminal

AddButton news -imagefile $TKG_icons/news.xpm \
        -unixcmd {netscape news://news.superlink.net}

Client WWW
#set WWW_text WWW
set WWW_nolabel 1
set WWW_imagefile $TKG_icons/xterm.xpm

Client Biff
set Biff_nolabel 1
set Biff_mailer {exmh}
set Biff_newmailbackground skyblue
set Biff_nomail_image $TKG_icons/mail2.xpm
set Biff_newmail_image $TKG_icons/mail2.xpm

Client Fvwm
WindowList
set FWLfield grey65
set FWLdefaulticon $TKG_icons/mini.ericwin.xpm
set FWLiconicicon $TKG_icons/mini.F.R.E.D.xpm
set FWLignore {exmh emacs XTerminal "TkMan*" "Netscape:*"}

AddButton tkman -imagefile $TKG_icons/meter\
        -unixcmd {tkman}

Client Clock
set Clock_analog 0
set ClockOrient vertical
set ClockForeground skyblue
set ClockBackground black
set ClockBigFont -*-times-bold-r-normal-*-14-*-*-*-*-*-*-*
set ClockSmallFont -*-times-bold-r-normal-*-12-*-*-*-*-*-*-*

Client Ical
Client Jots
set Jots_startwithnew 0

#####################################################